diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/lte/model/eps-bearer-tag.cc ns-3.43/src/lte/model/eps-bearer-tag.cc
--- ns-3.42/src/lte/model/eps-bearer-tag.cc	2024-05-29 15:29:47.008073300 -0700
+++ ns-3.43/src/lte/model/eps-bearer-tag.cc	2024-10-09 16:41:09.932656000 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2011,2012 Centre Tecnologic de Telecomunicacions de Catalunya (CTTC)
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Marco Miozzo <marco.miozzo@cttc.es>
  *         Nicola Baldo <nbaldo@cttc.es>
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/lte/model/eps-bearer-tag.h ns-3.43/src/lte/model/eps-bearer-tag.h
--- ns-3.42/src/lte/model/eps-bearer-tag.h	2024-05-29 15:29:47.008073300 -0700
+++ ns-3.43/src/lte/model/eps-bearer-tag.h	2024-10-09 16:41:09.932656000 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2011,2012 Centre Tecnologic de Telecomunicacions de Catalunya (CTTC)
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Marco Miozzo  <marco.miozzo@cttc.es>
  *         Nicola Baldo <nbaldo@cttc.es>
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/lte/model/fdbet-ff-mac-scheduler.cc ns-3.43/src/lte/model/fdbet-ff-mac-scheduler.cc
--- ns-3.42/src/lte/model/fdbet-ff-mac-scheduler.cc	2024-05-29 15:29:47.112073700 -0700
+++ ns-3.43/src/lte/model/fdbet-ff-mac-scheduler.cc	2024-10-09 16:41:10.036656400 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2011 Centre Tecnologic de Telecomunicacions de Catalunya (CTTC)
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Marco Miozzo <marco.miozzo@cttc.es>
  * Modification: Dizhi Zhou <dizhi.zhou@gmail.com>    // modify codes related to downlink scheduler
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/lte/model/fdbet-ff-mac-scheduler.h ns-3.43/src/lte/model/fdbet-ff-mac-scheduler.h
--- ns-3.42/src/lte/model/fdbet-ff-mac-scheduler.h	2024-05-29 15:29:47.112073700 -0700
+++ ns-3.43/src/lte/model/fdbet-ff-mac-scheduler.h	2024-10-09 16:41:10.036656400 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2011 Centre Tecnologic de Telecomunicacions de Catalunya (CTTC)
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Marco Miozzo <marco.miozzo@cttc.es>
  * Modification: Dizhi Zhou <dizhi.zhou@gmail.com>    // modify codes related to downlink scheduler
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/lte/model/fdmt-ff-mac-scheduler.cc ns-3.43/src/lte/model/fdmt-ff-mac-scheduler.cc
--- ns-3.42/src/lte/model/fdmt-ff-mac-scheduler.cc	2024-05-29 15:29:47.112073700 -0700
+++ ns-3.43/src/lte/model/fdmt-ff-mac-scheduler.cc	2024-10-09 16:41:10.036656400 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2011 Centre Tecnologic de Telecomunicacions de Catalunya (CTTC)
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Marco Miozzo <marco.miozzo@cttc.es>
  * Modification: Dizhi Zhou <dizhi.zhou@gmail.com>    // modify codes related to downlink scheduler
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/lte/model/fdmt-ff-mac-scheduler.h ns-3.43/src/lte/model/fdmt-ff-mac-scheduler.h
--- ns-3.42/src/lte/model/fdmt-ff-mac-scheduler.h	2024-05-29 15:29:47.112073700 -0700
+++ ns-3.43/src/lte/model/fdmt-ff-mac-scheduler.h	2024-10-09 16:41:10.036656400 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2011 Centre Tecnologic de Telecomunicacions de Catalunya (CTTC)
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Marco Miozzo <marco.miozzo@cttc.es>
  * Modification: Dizhi Zhou <dizhi.zhou@gmail.com>    // modify codes related to downlink scheduler
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/lte/model/fdtbfq-ff-mac-scheduler.cc ns-3.43/src/lte/model/fdtbfq-ff-mac-scheduler.cc
--- ns-3.42/src/lte/model/fdtbfq-ff-mac-scheduler.cc	2024-05-29 15:29:47.112073700 -0700
+++ ns-3.43/src/lte/model/fdtbfq-ff-mac-scheduler.cc	2024-10-09 16:41:10.036656400 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2011 Centre Tecnologic de Telecomunicacions de Catalunya (CTTC)
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Marco Miozzo <marco.miozzo@cttc.es>
  * Modification: Dizhi Zhou <dizhi.zhou@gmail.com>    // modify codes related to downlink scheduler
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/lte/model/fdtbfq-ff-mac-scheduler.h ns-3.43/src/lte/model/fdtbfq-ff-mac-scheduler.h
--- ns-3.42/src/lte/model/fdtbfq-ff-mac-scheduler.h	2024-05-29 15:29:47.112073700 -0700
+++ ns-3.43/src/lte/model/fdtbfq-ff-mac-scheduler.h	2024-10-09 16:41:10.036656400 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2011 Centre Tecnologic de Telecomunicacions de Catalunya (CTTC)
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Marco Miozzo <marco.miozzo@cttc.es>
  * Modification: Dizhi Zhou <dizhi.zhou@gmail.com>    // modify codes related to downlink scheduler
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/lte/model/ff-mac-common.cc ns-3.43/src/lte/model/ff-mac-common.cc
--- ns-3.42/src/lte/model/ff-mac-common.cc	2024-05-29 15:29:47.112073700 -0700
+++ ns-3.43/src/lte/model/ff-mac-common.cc	2024-10-09 16:41:10.036656400 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2011 CTTC
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Marco Miozzo <mmiozzo@cttc.es>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/lte/model/ff-mac-common.h ns-3.43/src/lte/model/ff-mac-common.h
--- ns-3.42/src/lte/model/ff-mac-common.h	2024-05-29 15:29:47.112073700 -0700
+++ ns-3.43/src/lte/model/ff-mac-common.h	2024-10-09 16:41:10.036656400 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2011 Centre Tecnologic de Telecomunicacions de Catalunya (CTTC)
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Manuel Requena <manuel.requena@cttc.es>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/lte/model/ff-mac-csched-sap.cc ns-3.43/src/lte/model/ff-mac-csched-sap.cc
--- ns-3.42/src/lte/model/ff-mac-csched-sap.cc	2024-05-29 15:29:47.112073700 -0700
+++ ns-3.43/src/lte/model/ff-mac-csched-sap.cc	2024-10-09 16:41:10.036656400 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2011 Centre Tecnologic de Telecomunicacions de Catalunya (CTTC)
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Manuel Requena <manuel.requena@cttc.es>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/lte/model/ff-mac-csched-sap.h ns-3.43/src/lte/model/ff-mac-csched-sap.h
--- ns-3.42/src/lte/model/ff-mac-csched-sap.h	2024-05-29 15:29:47.112073700 -0700
+++ ns-3.43/src/lte/model/ff-mac-csched-sap.h	2024-10-09 16:41:10.036656400 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2011 Centre Tecnologic de Telecomunicacions de Catalunya (CTTC)
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Manuel Requena <manuel.requena@cttc.es>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/lte/model/ff-mac-sched-sap.cc ns-3.43/src/lte/model/ff-mac-sched-sap.cc
--- ns-3.42/src/lte/model/ff-mac-sched-sap.cc	2024-05-29 15:29:47.112073700 -0700
+++ ns-3.43/src/lte/model/ff-mac-sched-sap.cc	2024-10-09 16:41:10.036656400 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2011 Centre Tecnologic de Telecomunicacions de Catalunya (CTTC)
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Manuel Requena <manuel.requena@cttc.es>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/lte/model/ff-mac-sched-sap.h ns-3.43/src/lte/model/ff-mac-sched-sap.h
--- ns-3.42/src/lte/model/ff-mac-sched-sap.h	2024-05-29 15:29:47.112073700 -0700
+++ ns-3.43/src/lte/model/ff-mac-sched-sap.h	2024-10-09 16:41:10.036656400 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2011 Centre Tecnologic de Telecomunicacions de Catalunya (CTTC)
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Manuel Requena <manuel.requena@cttc.es>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/lte/model/ff-mac-scheduler.cc ns-3.43/src/lte/model/ff-mac-scheduler.cc
--- ns-3.42/src/lte/model/ff-mac-scheduler.cc	2024-05-29 15:29:47.112073700 -0700
+++ ns-3.43/src/lte/model/ff-mac-scheduler.cc	2024-10-09 16:41:10.036656400 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2011 Centre Tecnologic de Telecomunicacions de Catalunya (CTTC)
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Nicola Baldo <nbaldo@cttc.es>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/lte/model/ff-mac-scheduler.h ns-3.43/src/lte/model/ff-mac-scheduler.h
--- ns-3.42/src/lte/model/ff-mac-scheduler.h	2024-05-29 15:29:47.112073700 -0700
+++ ns-3.43/src/lte/model/ff-mac-scheduler.h	2024-10-09 16:41:10.036656400 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2011 Centre Tecnologic de Telecomunicacions de Catalunya (CTTC)
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Nicola Baldo <nbaldo@cttc.es>
  *         Marco Miozzo <marco.miozzo@cttc.es>
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/lte/model/lte-amc.cc ns-3.43/src/lte/model/lte-amc.cc
--- ns-3.42/src/lte/model/lte-amc.cc	2024-05-29 15:29:47.112073700 -0700
+++ ns-3.43/src/lte/model/lte-amc.cc	2024-10-09 16:41:10.036656400 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2010 TELEMATICS LAB, DEE - Politecnico di Bari
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Original Author: Giuseppe Piro  <g.piro@poliba.it>
  * Modified by:     Marco Miozzo   <mmiozzo@cttc.es>
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/lte/model/lte-amc.h ns-3.43/src/lte/model/lte-amc.h
--- ns-3.42/src/lte/model/lte-amc.h	2024-05-29 15:29:47.112073700 -0700
+++ ns-3.43/src/lte/model/lte-amc.h	2024-10-09 16:41:10.036656400 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2010 TELEMATICS LAB, DEE - Politecnico di Bari
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Original Author: Giuseppe Piro  <g.piro@poliba.it>
  * Modified by:     Nicola Baldo   <nbaldo@cttc.es>
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/lte/model/lte-anr.cc ns-3.43/src/lte/model/lte-anr.cc
--- ns-3.42/src/lte/model/lte-anr.cc	2024-05-29 15:29:47.112073700 -0700
+++ ns-3.43/src/lte/model/lte-anr.cc	2024-10-09 16:41:10.036656400 -0700
@@ -2,18 +2,7 @@
  * Copyright (c) 2011 Centre Tecnologic de Telecomunicacions de Catalunya (CTTC)
  * Copyright (c) 2013 Budiarto Herman
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Original work authors (from lte-enb-rrc.cc):
  *   Nicola Baldo <nbaldo@cttc.es>
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/lte/model/lte-anr.h ns-3.43/src/lte/model/lte-anr.h
--- ns-3.42/src/lte/model/lte-anr.h	2024-05-29 15:29:47.112073700 -0700
+++ ns-3.43/src/lte/model/lte-anr.h	2024-10-09 16:41:10.036656400 -0700
@@ -2,18 +2,7 @@
  * Copyright (c) 2011, 2012 Centre Tecnologic de Telecomunicacions de Catalunya (CTTC)
  * Copyright (c) 2013 Budiarto Herman
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Original work authors (from lte-enb-rrc.cc):
  *   Nicola Baldo <nbaldo@cttc.es>
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/lte/model/lte-anr-sap.cc ns-3.43/src/lte/model/lte-anr-sap.cc
--- ns-3.42/src/lte/model/lte-anr-sap.cc	2024-05-29 15:29:47.112073700 -0700
+++ ns-3.43/src/lte/model/lte-anr-sap.cc	2024-10-09 16:41:10.036656400 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2013 Budiarto Herman
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Budiarto Herman <budiarto.herman@magister.fi>
  *
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/lte/model/lte-anr-sap.h ns-3.43/src/lte/model/lte-anr-sap.h
--- ns-3.42/src/lte/model/lte-anr-sap.h	2024-05-29 15:29:47.112073700 -0700
+++ ns-3.43/src/lte/model/lte-anr-sap.h	2024-10-09 16:41:10.036656400 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2013 Budiarto Herman
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Budiarto Herman <budiarto.herman@magister.fi>
  *
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/lte/model/lte-asn1-header.cc ns-3.43/src/lte/model/lte-asn1-header.cc
--- ns-3.42/src/lte/model/lte-asn1-header.cc	2024-05-29 15:29:47.112073700 -0700
+++ ns-3.43/src/lte/model/lte-asn1-header.cc	2024-10-09 16:41:10.036656400 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2012 Centre Tecnologic de Telecomunicacions de Catalunya (CTTC)
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Lluis Parcerisa <lparcerisa@cttc.cat>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/lte/model/lte-asn1-header.h ns-3.43/src/lte/model/lte-asn1-header.h
--- ns-3.42/src/lte/model/lte-asn1-header.h	2024-05-29 15:29:47.112073700 -0700
+++ ns-3.43/src/lte/model/lte-asn1-header.h	2024-10-09 16:41:10.036656400 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2012 Centre Tecnologic de Telecomunicacions de Catalunya (CTTC)
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Lluis Parcerisa <lparcerisa@cttc.cat>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/lte/model/lte-as-sap.cc ns-3.43/src/lte/model/lte-as-sap.cc
--- ns-3.42/src/lte/model/lte-as-sap.cc	2024-05-29 15:29:47.112073700 -0700
+++ ns-3.43/src/lte/model/lte-as-sap.cc	2024-10-09 16:41:10.036656400 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2012 Centre Tecnologic de Telecomunicacions de Catalunya (CTTC)
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Nicola Baldo <nbaldo@cttc.es>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/lte/model/lte-as-sap.h ns-3.43/src/lte/model/lte-as-sap.h
--- ns-3.42/src/lte/model/lte-as-sap.h	2024-05-29 15:29:47.112073700 -0700
+++ ns-3.43/src/lte/model/lte-as-sap.h	2024-10-09 16:41:10.036656400 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2012 Centre Tecnologic de Telecomunicacions de Catalunya (CTTC)
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Nicola Baldo <nbaldo@cttc.es>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/lte/model/lte-ccm-mac-sap.cc ns-3.43/src/lte/model/lte-ccm-mac-sap.cc
--- ns-3.42/src/lte/model/lte-ccm-mac-sap.cc	2024-05-29 15:29:47.112073700 -0700
+++ ns-3.43/src/lte/model/lte-ccm-mac-sap.cc	2024-10-09 16:41:10.036656400 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2015 Danilo Abrignani
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Danilo Abrignani <danilo.abrignani@unibo.it>
  *
